cURL
curl --request GET \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/satellite/devices/{id}/details \
--header 'Content-Type: <content-type>' \
--header 'access_token: <access_token>' \
--header 'client_id: <client_id>'import requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/satellite/devices/{id}/details"
headers = {
"Content-Type": "<content-type>",
"client_id": "<client_id>",
"access_token": "<access_token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Content-Type': '<content-type>',
client_id: '<client_id>',
access_token: '<access_token>'
}
};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/satellite/devices/{id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 0,
"idTerminal": 0,
"virtualAccountId": 0,
"deviceId": "string",
"status": "PRE_ACTIVE",
"syncId": 0,
"description": "string",
"enabled": true,
"state": "string",
"gatewayAccountId": 0,
"sourceGatewayAccountId": 0,
"ipServiceAddress": "string",
"activationDate": "2025-08-06T16:57:41.978Z",
"cancellationDate": "2025-08-06T16:57:41.978Z",
"statusCode": 0,
"statusMessage": "string",
"timestamp": "2025-08-06T16:57:41.978Z",
"serviceProviderId": 0,
"serialNumber": "string",
"imei": "string",
"macAddress": "string",
"meid": "string",
"pairedTo": "string",
"termBalance": 0,
"iig": true,
"autoActivation": true,
"productFamily": "string",
"partNumber": "string",
"hardwareVersion": "string",
"firmwarePackageVersion": "string",
"modemSoftwareVersion": "string",
"unitId": "string",
"actualOwnerId": 0,
"updatedAt": "2025-08-06T16:57:41.978Z",
"updatedBy": "string",
"consumptionDaily": 0,
"consumptionValidated": 0
}{
"error": "Requisição mal formada."
}{
"error": "Requisição requer autenticação."
}{
"error": "O acesso ao recurso foi negado."
}{
"error": "URI de API/Recurso inexiste para processamento."
}{
"error": "Erro Interno do servidor."
}Satellital
Detalhes de um dispositivo satelital
Detalha as características e informações de um dispositivo satelital
GET
/
satellite
/
devices
/
{id}
/
details
cURL
Headers
Define o formato da requisição.
🔹 Valor padrão:
application/json
📌 Dica: Copie e cole esse valor no campo Content-Type.
Example:
"application/json"
Identificador do client id do sensedia
Example:
"123"
Token gerado
Example:
"Basic MzQ4OSozNDMyLTMOMzItMTIz"
Path Parameters
Identificador da tabela de dispositivos (parâmetro encontrado na API /satellite/devices campo responde id) id
Example:
"123"
Response
Detalhes do dispositivo satélite
Token de acesso gerado.
Example:
{
"id": 0,
"idTerminal": 0,
"virtualAccountId": 0,
"deviceId": "string",
"status": "PRE_ACTIVE",
"syncId": 0,
"description": "string",
"enabled": true,
"state": "string",
"gatewayAccountId": 0,
"sourceGatewayAccountId": 0,
"ipServiceAddress": "string",
"activationDate": "2025-08-06T16:57:41.978Z",
"cancellationDate": "2025-08-06T16:57:41.978Z",
"statusCode": 0,
"statusMessage": "string",
"timestamp": "2025-08-06T16:57:41.978Z",
"serviceProviderId": 0,
"serialNumber": "string",
"imei": "string",
"macAddress": "string",
"meid": "string",
"pairedTo": "string",
"termBalance": 0,
"iig": true,
"autoActivation": true,
"productFamily": "string",
"partNumber": "string",
"hardwareVersion": "string",
"firmwarePackageVersion": "string",
"modemSoftwareVersion": "string",
"unitId": "string",
"actualOwnerId": 0,
"updatedAt": "2025-08-06T16:57:41.978Z",
"updatedBy": "string",
"consumptionDaily": 0,
"consumptionValidated": 0
}

